## org.eclipse.datatools.modelbase.sql.query
Interface GroupingSpecification

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SQLQueryObject

All Known Subinterfaces:
  Grouping, GroupingExpression, GroupingSets, SuperGroup

    public interface GroupingSpecification

extends SQLQueryObject

A representation of the model object 'SQL Group By Specification'.

The following features are supported:

- `Query Select`

See Also:
  `SQLQueryModelPackage.getGroupingSpecification()`

Method Summary
`QuerySelect` `getQuerySelect()` Returns the value of the 'Query Select' container reference.
`void` `setQuerySelect(QuerySelect value)` Sets the value of the '`Query Select`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getQuerySelect

    QuerySelect getQuerySelect()

  Returns the value of the 'Query Select' container reference. It is bidirectional and its opposite is '`Group By Clause`'.

  If the meaning of the 'Query Select' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Query Select' container reference.
  See Also:
    `setQuerySelect(QuerySelect)`, `SQLQueryModelPackage.getGroupingSpecification_QuerySelect()`, `QuerySelect.getGroupByClause()`

### setQuerySelect

    void setQuerySelect(QuerySelect value)

  Sets the value of the '`Query Select`' container reference.

  Parameters:
    `value` - the new value of the 'Query Select' container reference.
  See Also:
    `getQuerySelect()`